# Class ClassConstraintException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.apache.bcel.verifier.exc.VerifierConstraintViolatedException
org.apache.bcel.verifier.exc.VerificationException
org.apache.bcel.verifier.exc.ClassConstraintException

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `LocalVariableInfoInconsistentException`

public class ClassConstraintException extends VerificationException
Instances of this class are thrown by BCEL's class file verifier "JustIce" when a class file to verify does not pass the verification pass 2 as described in the Java Virtual Machine specification, 2nd edition.

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ClassConstraintException()`
  Constructs a new ClassConstraintException with null as its error message string.
  `ClassConstraintException(String message)`
  Constructs a new ClassConstraintException with the specified error message.
  `ClassConstraintException(String message, Throwable initCause)`
  Constructs a new ClassConstraintException with the specified error message and cause.

- ## Method Summary

  ### Methods inherited from class VerifierConstraintViolatedException

  `extendMessage, getMessage`

  ### Methods inherited from class Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ClassConstraintException

    public ClassConstraintException()
    Constructs a new ClassConstraintException with null as its error message string.

  - ### ClassConstraintException

    public ClassConstraintException(String message)
    Constructs a new ClassConstraintException with the specified error message.
    Parameters:
      `message` - the error message.

  - ### ClassConstraintException

    public ClassConstraintException(String message, Throwable initCause)
    Constructs a new ClassConstraintException with the specified error message and cause.
    Parameters:
      `message` - the error message.
      `initCause` - the cause.
    Since:
      6.0